#define SCSI_SENSE_DATA_MAX_LENGTH  64 

typedef struct SCSI_SenseData
{
  unsigned char		responseCode;			/* 0, MS bit is valid bit. */
  unsigned char		obsolete0;			/* 1, not used in SPC-2 */
  unsigned char		keyFlags;			/* 2, sense key and flags. */
  unsigned char		info[4];			/* 3-6, 32 bit unaligned, big endian. */
  unsigned char		additionalLen;			/* 7, len after 1st 7 unsigned chars */
  unsigned char		cmdInfo[4];			/* 8-11, 32 bit aligned, big endian */
  unsigned char		asc;				/* 12 */
  unsigned char		ascq;				/* 13 */
  unsigned char		fru;				/* 14 */
  unsigned char		sksFlags;			/* 15 */
  unsigned char		sksValue[2];			/* 16-17, 16 bit aligned */
  unsigned char		additionalData[SCSI_SENSE_DATA_MAX_LENGTH - 18];

} SCSI_SenseData;

typedef struct SFVE_VDSpanMirrorNodeInfo
{
    unsigned long		flags;
    unsigned long		deviceID;
    unsigned long long	        deviceOffset;
    unsigned long long	        rebuildWriteThroughLimit;
    unsigned char 		state;
    unsigned char		reserved[3];
    unsigned long long	        minimumRebuildOffset;
    
} SFVE_VDSpanMirrorNodeInfo;
